import statusCode from "../utils/statusCodes";
import { getMessages } from "../db/api-db";
import logger from "../system/Logger";
import { Response } from "express";

export async function messages(body, res: Response) {
    const { roomId } = body;
    getMessages(roomId)
        .then((messages) => {
            res.status(statusCode.OK).json(messages);
        })
        .catch((err) => {
            logger.err(err);
            res.status(statusCode.INTERNAL_SERVER_ERROR);
        });
}
